<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [Stream](./iceshrimp-js.stream.md) &gt; [removeSharedConnection](./iceshrimp-js.stream.removesharedconnection.md)

## Stream.removeSharedConnection() method

**Signature:**

```typescript
removeSharedConnection(connection: SharedConnection): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  connection | SharedConnection |  |

**Returns:**

void

